AltSuppressZeroInches 属性 (ActiveX)
指定在备用尺寸值中隐含零英寸测量值。 支持的平台:仅限 Windows 签名VBA: object.AltSuppressZeroInches
属性值只读:不 类型:布尔
言论此属性的初始值为 。False 注意:此属性将覆盖给定维度的 DIMALTZ 系统变量的值。
例子VBA: Sub Example_AltSuppressZeroInches() ' This example creates an aligned dimension in model space and ' uses AltSuppressZeroInches to suppress or view the display of ' zero inches in the alternate dimension display Dim dimObj As AcadDimAligned Dim point1(0 To 2) As Double, point2(0 To 2) As Double Dim location(0 To 2) As Double ' Define the dimension point1(0) = 0: point1(1) = 5: point1(2) = 0 point2(0) = 12: point2(1) = 5: point2(2) = 0 location(0) = 5: location(1) = 7: location(2) = 0 ' Create an aligned dimension object in model space Set dimObj = ThisDrawing.ModelSpace.AddDimAligned(point1, point2, location) ' Enable alternate unit display dimObj.AltUnits = True ' Set the dimension display to a style that works with AltSuppressZeroInches dimObj.AltUnitsFormat = acDimLArchitectural dimObj.AltUnitsScale = 2 ' Set the alternate unit scale to be a multiple of 2 ThisDrawing.Application.ZoomAll Toggle: Select Case MsgBox("Press OK to suppress or view the display of zero inches in the alternate dimension", vbOKCancel) Case vbOK ' Toggle the display of zero inches for the alternate dimension value dimObj.AltSuppressZeroInches = Not (dimObj.AltSuppressZeroInches) ThisDrawing.Regen acAllViewports Case vbCancel Exit Sub End Select GoTo Toggle End Sub 可视化 LISP: (vl-load-com) (defun c:Example_AltSuppressZeroInches() ;; This example creates an aligned dimension in model space and ;; uses AltSuppressZeroInches to suppress or view the display of ;; zero inches in the alternate dimension display (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the dimension (setq point1 (vlax-3d-point 0 5 0) point2 (vlax-3d-point 5 5 0) location (vlax-3d-point 5 7 0)) ;; Create an aligned dimension object in model space (setq modelSpace (vla-get-ModelSpace doc)) (setq dimObj (vla-AddDimAligned modelSpace point1 point2 location)) ;; Enable alternate unit display (setq originalValue (vla-get-AltSuppressZeroInches dimObj)) (vla-put-AltUnits dimObj :vlax-true) ;; Set the dimension display to a style that works with AltSuppressZeroInches (vla-put-AltUnitsFormat dimObj acDimLArchitectural) (vla-put-AltUnitsScale dimObj 2) ;; Set the alternate unit scale to be a multiple of 2 (vla-ZoomAll acadObj) (vla-Regen doc acAllViewports) (alert "Toggling the display of zero inches in the alternate tolerance.") ;; Set the dimension display to a style that works with AltSuppressZeroInches (vla-put-AltSuppressZeroInches dimObj (if (= originalValue :vlax-true) :vlax-false :vlax-true)) (setq newValue (vla-get-AltSuppressZeroInches dimObj)) (vla-Regen doc acAllViewports) (alert "Toggling the display of zero inches in the alternate tolerance to original value.") (vla-put-AltSuppressZeroInches dimObj (if (= newValue :vlax-true) :vlax-false :vlax-true)) (vla-Regen doc acAllViewports) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2024-12-15 11:47
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.